/*******************************************************************************
 * GameCrowdBehaviorPoint generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class GameCrowdBehaviorPoint extends GameCrowdInteractionPoint
    native
    config(Crowd)
    placeable
    hidecategories(Navigation,Advanced,Collision,Display,Actor,Movement,Physics);

var config float RadiusOfBehaviorEvent;
var config float DurationOfBehaviorEvent;
var() GameCrowdAgentBehavior.ECrowdBehaviorEvent EventType;
var() bool bRequireLOS;
var Actor Initiator;

event PostBeginPlay()
{
    super(Actor).PostBeginPlay();
    // End:0x4A
    if(RadiusOfBehaviorEvent > 0.0)
    {
        CylinderComponent.SetCylinderSize(RadiusOfBehaviorEvent, 200.0);
    }
    // End:0x74
    if(DurationOfBehaviorEvent > 0.0)
    {
        SetTimer(DurationOfBehaviorEvent, false, 'DestroySelf');
    }
    //return;    
}

function DestroySelf()
{
    LifeSpan = 0.0010;
    //return;    
}

event Touch(Actor Other, PrimitiveComponent OtherComp, Vector HitLocation, Vector HitNormal)
{
    local GameCrowdAgent Agent;

    Agent = GameCrowdAgent(Other);
    // End:0x9E
    if(Agent != none)
    {
        // End:0x9E
        if(!bRequireLOS || FastTrace(Other.Location, Location))
        {
            Agent.HandleBehaviorEvent(EventType, Initiator, false, true);
        }
    }
    super(Actor).Touch(Other, OtherComp, HitLocation, HitNormal);
    //return;    
}

defaultproperties
{
    begin object name=CollisionCylinder class=CylinderComponent
        CollisionHeight=200.0
        CollisionRadius=512.0
        bDrawBoundingBox=true
        ReplacementPrimitive=none
        HiddenGame=false
        CollideActors=true
    object end
    // Reference: CylinderComponent'Default__GameCrowdBehaviorPoint.CollisionCylinder'
    CylinderComponent=CollisionCylinder
    begin object name=CollisionCylinder class=CylinderComponent
        CollisionHeight=200.0
        CollisionRadius=512.0
        bDrawBoundingBox=true
        ReplacementPrimitive=none
        HiddenGame=false
        CollideActors=true
    object end
    // Reference: CylinderComponent'Default__GameCrowdBehaviorPoint.CollisionCylinder'
    Components(0)=CollisionCylinder
    Components(1)=none
    bNoDelete=false
    bCollideActors=true
    begin object name=CollisionCylinder class=CylinderComponent
        CollisionHeight=200.0
        CollisionRadius=512.0
        bDrawBoundingBox=true
        ReplacementPrimitive=none
        HiddenGame=false
        CollideActors=true
    object end
    // Reference: CylinderComponent'Default__GameCrowdBehaviorPoint.CollisionCylinder'
    CollisionComponent=CollisionCylinder
}